Help Desk

Error – Site Not Loading – Presenting Error Message Re: Event Tickets Plus

  • Posts: 1 Topics: 1
    | Permalink

    All of a sudden, my site stopped loading and began displaying this error message:

    Fatal error: Access level to Tribe__Tickets_Plus__Tickets::login_required() must be public (as in class Tribe__Tickets__Tickets) in /home/xponent2/corkandvinesociety.com/wp-content/plugins/event-tickets-plus/src/Tribe/Tickets.php on line 0

    It looks like another user reported this error yesterday, but you have not yet responded. This is a critical function of our site and we need to have this restored asap. Please help. It’s been almost a year since this plugin has seen an update. Perhaps overdue?

    I’ve disabled the plugin for now as it breaks my site entirely.

    Thanks,
    Will

    ========================
    PLEASE LEAVE FOR SUPPORT
    Reporting the same issue as: https://theeventscalendar.com/support/forums/topic/urgent-error-site-down/

    Posts: 6978 Topics: 2
    | Permalink

    Hi Will,

    Thanks for reaching out!

    I’m really sorry to hear about that issue, as well as about the long waiting for an answer. We are receiving an unusually high number of questions and we try to go through them as fast as possible without compromising on support quality. Thanks for your patience so far.

    It’s been almost a year since this plugin has seen an update.

    I’m not quite sure why you have this perception. We our pushing out maintenance releases every three weeks, and Event Tickets Plus is almost always included. The last two MRs/ updates went out on August 22 and September 12, and we are just getting ready to ship the coming one next week.

    Anyhow, I would recommend you to try doing a manual update of the plugin. First delete your current version. Then get a fresh copy downloaded from your account, unzip it and upload it via FTP to your server to the wp-content folder of your installation.

    Please check if this helps and let me know the results.

    Thanks and cheers,
    Andras

     

    Posts: 1 Topics: 1
    | Permalink

    Thanks. I will try this. Regarding my perception of when this was last
    updated, the downloads section of my website show a release date of
    December 2017.

    I will report back when I have had a chance to update the plugin.

    Posts: 6978 Topics: 2
    | Permalink

    Hi William,

    Thanks for clarifying.

    the downloads section of my website show a release date of December 2017.

    This is really curious. Could you please share a screenshot of that?

    Thanks,
    Andras

    Posts: 6531 Topics: 11
    | Permalink

    Hi there,

    Reaching out to let you know a fix for this issue has been released as part of Event Tickets 4.8.2.1. The fix will prevent the fatal error and enforces Event Tickets Plus to be updated to use both plugins. A manual update might be required in some cases.

    Please let us know if updating Event Tickets and Event Tickets Plus to the latest versions works for you,

    Thanks for the patience while we fixed this bug.

    Best,
    Nico

    Posts: 65
    | Permalink

    Hey there! This thread has been pretty quiet for the last three weeks, so we’re going to go ahead and close it to avoid confusion with other topics. If you’re still looking for help with this, please do open a new thread, reference this one and we’d be more than happy to continue the conversation over there.

    Thanks so much!
    The Events Calendar Support Team

    | Permalink